Skip to content

Change a money line

PATCH
/api/money/events/{id}/lines/{lineId}
id
required
string format: uuid
lineId
required
string format: uuid
object
kind
string
Allowed values: income expense
category
string
Allowed values: fee_extra merch tips travel_paid other travel fuel accommodation food backline crew commission marketing
amount
number
<= 1000000
description
string
nullable <= 200 characters
owedToUserId
string format: uuid
nullable
owedToName
string
nullable <= 100 characters

Success

object
ok
required
boolean
data
nullable

Bad request / invalid input

object
ok
required
boolean
error
required
string
code
string

Unauthenticated

object
ok
required
boolean
error
required
string
code
string

Forbidden, or Gig Money switched off

object
ok
required
boolean
error
required
string
code
string

Not found

object
ok
required
boolean
error
required
string
code
string

Server error

object
ok
required
boolean
error
required
string
code
string